<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.ActivityMemberExchangeRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.ActivityMemberExchangeRecord">
        <id column="id" property="id" />
        <result column="activity_uuid" property="activityUuid" />
        <result column="activity_name" property="activityName" />
        <result column="activity_type" property="activityType" />
        <result column="prize_id" property="prizeId" />
        <result column="prize_name" property="prizeName" />
        <result column="win_code" property="winCode" />
        <result column="prize_level" property="prizeLevel" />
        <result column="prize_type" property="prizeType" />
        <result column="exchange_status" property="exchangeStatus" />
        <result column="charge_phone" property="chargePhone" />
        <result column="consignee" property="consignee" />
        <result column="shipping_address" property="shippingAddress" />
        <result column="exchange_time" property="exchangeTime" />
        <result column="courier_number" property="courierNumber" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, activity_name, activity_type, prize_id, prize_name, win_code, prize_level, prize_type, exchange_status, charge_phone, consignee, shipping_address, exchange_time, courier_number
    </sql>

</mapper>
